Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory Class Reference

## Public Member Functions
| __construct (ConfigResolverInterface $configResolver, ResolverInterface $resolver, $proxyResolverClass, $relativeResolverClass)
| createCacheResolver ()

## Private Attributes
| $configResolver
| $resolver
| $resolverDecoratorClass
| $proxyResolverClass
| $relativeResolverClass

## Detailed Description

Definition at line 12 of file ResolverFactory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory::__construct | ( | ConfigResolverInterface | $configResolver,
|  | ResolverInterface | $resolver,
|  |  | $proxyResolverClass,
|  |  | $relativeResolverClass
| ) |  |

Parameters

  \eZ\Publish\Core\MVC\ConfigResolverInterface | $configResolver |
  \Liip\ImagineBundle\Imagine\Cache\Resolver\ResolverInterface | $resolver |
  string | $proxyResolverClass |
  string | $relativeResolverClass |

Definition at line 35 of file ResolverFactory.php.

References eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\$configResolver, eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\$proxyResolverClass, eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\$relativeResolverClass, and eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\$resolver.

## Member Function Documentation

## ◆ createCacheResolver()

eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory::createCacheResolver | ( |  | ) |

Returns
  \Liip\ImagineBundle\Imagine\Cache\Resolver\ResolverInterface

Definition at line 50 of file ResolverFactory.php.

References eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\$proxyResolverClass, eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\$relativeResolverClass, and eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\$resolver.

## Member Data Documentation

## ◆ $configResolver

eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory::$configResolver
| private

Definition at line 15 of file ResolverFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\__construct().

## ◆ $proxyResolverClass

eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory::$proxyResolverClass
| private

Definition at line 24 of file ResolverFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\__construct(), and eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\createCacheResolver().

## ◆ $relativeResolverClass

eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory::$relativeResolverClass
| private

Definition at line 27 of file ResolverFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\__construct(), and eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\createCacheResolver().

## ◆ $resolver

eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory::$resolver
| private

Definition at line 18 of file ResolverFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\__construct(), and eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory\createCacheResolver().

## ◆ $resolverDecoratorClass

eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\ResolverFactory::$resolverDecoratorClass
| private

Definition at line 21 of file ResolverFactory.php.

The documentation for this class was generated from the following file:

- ResolverFactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.